GET FILE = "ggg.sav".

FILTER BY filter_$.

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT gewicht
  /METHOD=ENTER groesse
  /SAVE RESID .

RECODE
  groesse
  (Lowest thru 175=1)  (175 thru 180=2)  (180 thru 183=3)
  (183 thru 187=4)  (187 thru Highest=5)  INTO  G5MH .
EXECUTE .

VARIABLE LABELS G5MH 'Gre in 5 Klassen mit hnlichen Hufigkeiten (Mnner)'.

FREQUENCIES VAR = G5MH.

MEANS TABLES=Gewicht BY G5MH
  /CELLS=MEAN COUNT STDDEV.

AGGREGATE
  /OUTFILE=*
  /BREAK=G5MH
  /me_groe = MEAN(groesse) /sd_res = SD(res_1).

VARIABLE LABELS  G5MH 'Rekodierte Gre (5 Stufen)'
 /me_groe 'Mittelwerte in 5 GROESSE-Intervallen'
 /sd_res  'Standardabweichung der Residuen'.

GRAPH
  /SCATTERPLOT(BIVAR)=me_groe WITH sd_res
  /MISSING=LISTWISE .

